Subject: Fortran Compiler: Summary

From: [email-masked]
Date: Wed, 17 May 2000 10:50:10 -0500 (CDT)

Hello All,

	Sorry for the delay in this summary. The original question was:
	
> 	Forgive me those who are already sick of this subject, but I have one 
> simple question. I would like to know if the choice of a Fortran compiler is 
> associated only with the OS or it depends also on the CPU? For example, if I 
> were to buy a Fortran compiler, is it enought to decide if it will be to Windows 
> or Linux or do I have to compare compilers for, say, P-III 800 or AMD Athlon 
> 800MHz, etc? The speed of the processor is also important? (The compiler that is 
> best for a 600 MHz CPU is still the best for a 800 MHz CPU of the same type?)
> 

	Thank you all.
	
1111111111111111111111111111111111111111111111111111111111111111111111111111111

Yes, you may need to consider the underlying architecture, especially if
raw number crunching performance is important.  The speed is less of an
issue, at least for choosing an efficient compiler.  There seems to be
better support for the Intel chipset at the moment, but since more
machines with AMD chipsets are emerging, I expect support to be more
balanced in the future. 

For Linux, there are freeware compilers which aren't bad at all, and
the best commercial Fortran compilers for Linux seem to be the ones from
the Portland Group, and from AbSoft.

--
Rick Venable                  =====\     |=|    "Eschew Obfuscation"
FDA/CBER Biophysics Lab       |____/     |=|
Bethesda, MD  U.S.A.          |   \    / |=|  ( Not an official statement or
[email-masked]          |    \  /  |=|    position of the FDA; for that,
[email-masked]              \/   |=|    see   http://www.fda.gov  )

22222222222222222222222222222222222222222222222222222222222222222222222222222

> simple question. I would like to know if the choice of
> a Fortran compiler is associated only with the OS or it
> depends also on the CPU? For example, if I

I expect you have been inundated with answers but... In general the
choice of compiler is dependant on both the OS and the CPU TYPE. I mean
that the compiler for a Mac CPU will differ from that for an intel one
or an alpha one. However... all the chips you have listed are
IBM-compatible- they are all the same in terms of running programs. In
general then- you will need a different compiler for different OS's but
if you stick to intel and AMD chips you will need on one compiler for
all of the chips.

> 800MHz, etc? The speed of the processor is also
> important? (The compiler that is> best for a 600 MHz
> CPU is still the best for a 800 MHz CPU of the same type?)

No, they should all be the same. The difference comes between say a PII
and a PIII. The same program will run on both but it is possible to
optimised the program to be more effient on each chip- however, the
differences are subtile and so the same compile will tend to have
switches to specify different 'Target Architectures'.

For your information- the compiler needed depends on the instuction set-
the 'commands' built into the chip. The intel and AMD chips all have one
instruction set ans so all run the same programs. The Mac chips use
another instruction set and the alpha yet another.

Tom Grey
[email-masked]

33333333333333333333333333333333333333333333333333333333333333333333333333333333

A compiler is specific for a processor family, but (with very few
exceptions) not for just one processor. So you need to get a
compiler for "Intel x86 and compatibles", and of course your OS.
-- 
-------------------------------------------------------------------------------
Konrad Hinsen                            | E-Mail: [email-masked]
Centre de Biophysique Moleculaire (CNRS) | Tel.: +33-2.38.25.55.69
Rue Charles Sadron                       | Fax:  +33-2.38.63.15.17
45071 Orleans Cedex 2                    | Deutsch/Esperanto/English/
France                                   | Nederlands/Francais
-------------------------------------------------------------------------------

44444444444444444444444444444444444444444444444444444444444444444444444444444444

(...) 	A resposta a tua pergunta eh que compiladores mais modernos
apresentarao um desempenho maior uma vez que aproveitarao melhor as
propriedades dos novos processadores.

	The answer to your question is that more modern compilers will 
have a better performance, once they'll take better advantage of the
properties of the new processors.

Demetrio Filho
[email-masked]

********************************************************************************